OpenShot Audio Library | OpenShotAudio: juce::FileFilter Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
juce::FileFilter Class Referenceabstract

`#include <juce_FileFilter.h>`

Inheritance diagram for juce::FileFilter:

## Public Member Functions
| FileFilter (const String &filterDescription)
virtual | ~FileFilter ()
const String & | getDescription () const noexcept
virtual bool | isFileSuitable (const File &file) const =0
virtual bool | isDirectorySuitable (const File &file) const =0

## Protected Attributes
String | description

## Detailed Description

Interface for deciding which files are suitable for something.

For example, this is used by DirectoryContentsList to select which files go into the list.

See also
  WildcardFileFilter, DirectoryContentsList, FileListComponent, FileBrowserComponent

Definition at line 37 of file juce_FileFilter.h.

## Constructor & Destructor Documentation

## ◆ FileFilter()

juce::FileFilter::FileFilter | ( | const String & | filterDescription | ) |

Creates a filter with the given description.

The description can be returned later with the getDescription() method.

Definition at line 26 of file juce_FileFilter.cpp.

## ◆ ~FileFilter()

juce::FileFilter::~FileFilter | ( |  | ) |
| virtual

Destructor.

Definition at line 31 of file juce_FileFilter.cpp.

## Member Function Documentation

## ◆ getDescription()

const String & juce::FileFilter::getDescription | ( |  | ) | const
| noexcept

Returns the description that the filter was created with.

Definition at line 35 of file juce_FileFilter.cpp.

## ◆ isDirectorySuitable()

virtual bool juce::FileFilter::isDirectorySuitable | ( | const File & | file | ) | const
| pure virtual

Should return true if this directory is suitable for inclusion in whatever context the object is being used.

Implemented in juce::WildcardFileFilter.

## ◆ isFileSuitable()

virtual bool juce::FileFilter::isFileSuitable | ( | const File & | file | ) | const
| pure virtual

Should return true if this file is suitable for inclusion in whatever context the object is being used.

Implemented in juce::WildcardFileFilter.

## Member Data Documentation

## ◆ description

String juce::FileFilter::description
| protected

Definition at line 68 of file juce_FileFilter.h.

The documentation for this class was generated from the following files:

- juce_FileFilter.h
- juce_FileFilter.cpp